TEMPLATE := $(TEMPLATE_DIR)/algorithmica.html
METADATA := $(METADATA) metadata.md

PAGE := $(shell basename $(shell pwd))

all: $(BUILDDIR)/$(PAGE)/index.html

$(BUILDDIR)/$(PAGE)/index.html: main.md $(METADATA)
	@mkdir -p $(@D)
	pandoc $< $(METADATA) --to html --output $@ --standalone --template $(TEMPLATE) --mathjax

.PHONY: all
